#include "c:\lb\types.h"

struct TProperty
{
    char *Name ; // Name of property
    char *Value ; // Value of property
    TProperty *Next ; // Next property
} ;


class TProperty_Box : public TWindow
{
    protected:
	TProperty *Root ; // First property in box
        TNotify_Event Callback ; // Callback for when window is deleted

    public:
	TProperty_Box( TWindow* parent, TNotify_Event Sender ) ;
	~TProperty_Box() ;
	void Clear() ;
	void Add_Property( char *name, char *value ) ;
	virtual void Paint( TDC& dc, bool, TRect& ) ;
	virtual void EvSize( UINT sizeType, TSize& size ) ;

	DECLARE_RESPONSE_TABLE( TProperty_Box ) ;
} ;

