/* TButtonGadget */

#include <owl\buttonga.h>
#include <owl\floatfra.h>

class TXButtonGadget : public TButtonGadget
{
    public:
	TXButtonGadget( TResId bmpResId,
			int    id,
			TType  type,
			BOOL   enabled,
			TState state,
			BOOL   repeat,
			int    width,
			int    height ) ;
        ~TXButtonGadget() ;
	TDib* GetGlyphDib() ;

    private:
	TDib* DIB ;
	int Width ;
	int Height ;
};


class TTool_Box : public TFloatingFrame
{
    public:
	TTool_Box( TWindow*        parent,
		   char*           title = 0,
		   TWindow*        clientWnd = 0,
		   TModule*        module = 0 ) ;

    private:
	void SetupWindow() ;
	void CleanupWindow() ;
	void EvClose() ;

  DECLARE_RESPONSE_TABLE( TTool_Box ) ;
};

