{
        Program Name : _Validate
        Package Name : Subroutine Library - layer 1
        Purpose      : Validation class
        Institution  : Conroy & Conroy Co.
        Date Written : 1-Nov-2006
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2006 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

}

unit _Validate ;

interface

uses { Layer 0... }
     COMInter ; { TCommon_COM_Interface }

{$I EDEFINES.INC}

{$IFDEF DYNAMIC_OBJECTS}
type TValidator = class( TCommon_COM_Interface )
                      public
                          function Validate_Longint( Item, Value : longint ) : PChar ;
                              virtual ; stdcall ; abstract ;
                          { Validate the passed value for the indicated item.
                            If valid, returns nil or null string.  If an error,
                            returns a PChar starting with "?".  If a warning,
                            returns a PChar that doesn't start with "?". }
                  end ;
{$ENDIF}

implementation

end.

