var loadPending ;
var loadedScripts = "" ;

var loadFinished = function() 
{
   loadPending = false ;
};


function loadScript(url, async)
{
    // Make sure script isn't already loaded...
    if( loadedScripts.indexOf( url + "//" ) >= 0 )
    {
	return ;
    }
    loadedScripts += url + "//" ;

    // Add the script tag to the document head...
    var head = document.getElementsByTagName( 'head' )[ 0 ] ;
    var script = document.createElement( 'script' ) ;
    script.type = 'text/javascript' ;
    script.src = url ;
    script.async = async ;
    if( async )
    {
	head.appendChild( script ) ;
	return ;
    }

    // Bind the event to the callback...
    // (multiple events for cross browser compatibility)
    script.onreadystatechange = loadFinished ;
    script.onload = loadFinished ;

    // Do the load...
    loadPending = true ;
    head.appendChild( script ) ;
    while( loadPending ) ;
}
