{
        Program Name : EditPref
        Package Name : Subroutine Library - Layer 4
        Purpose      : Editor Window preferences dialog
        Institution  : Conroy & Conroy Co.
        Date Written : 10-Nov-1992
        Written By   : Alan Conroy
        Version      : 1.3

        Copyright (C) 1992 by Alan Conroy.  Released to the public domain

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This program is the editor window preferences dialog.
}

unit EditPref ;

interface

uses // Borland....
     Windows,
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms, // TForm
     Dialogs,
     StdCtrls, // TCheckBox

     // Subroutine Library - Layer 4...
     TDialogs ; // TDialog

type
  TEditor_Preferences = class(TDialog)
    Button1: TButton;
    Button2: TButton;
    Help_Button: TButton;
    Persistant_Selection: TCheckBox;
    Bounded_Caret: TCheckBox;
    Inactive_Selection: TCheckBox;
    Tab_Processing: TCheckBox;
    Sub_Window: TCheckBox;
    Auto_Indent: TCheckBox;
    Wrap_Caret: TCheckBox;
    procedure Help_ButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  end ;

var Editor_Preferences : TEditor_Preferences = nil ;

implementation

{$R *.DFM}

uses { C&C Subroutine Library - Layer 0... }
     L10N ; { Text_* }

procedure TEditor_Preferences.Help_ButtonClick( Sender : TObject ) ;

begin
    Application.HelpContext( HelpContext ) ;
end ;



procedure TEditor_Preferences.FormShow(Sender: TObject) ;

begin
    Caption := Text_Caption_Editor_Preferences ;
    Button1.Caption := Text_Button_Caption_OK ;
    Button2.Caption := Text_Button_Caption_Cancel ;
    Help_Button.Caption := Text_Button_Caption_Help ;
    Persistant_Selection.Caption := Text_Persistant_Selection_Blocks ;
    Bounded_Caret.Caption := Text_Bounded_Caret ;
    Inactive_Selection.Caption := Text_Inactive_Selection ;
    Tab_Processing.Caption := Text_Tab_Processing ;
    Sub_Window.Caption := Text_Sub_Window ;
    Auto_Indent.Caption := Text_Auto_Indent ;
    Wrap_Caret.Caption := Text_Wrap_Caret ;
end ;


end.
