{
        Program Name : CompInt
        Package Name : C&C Subroutine Library - Layer 2
        Purpose      : Compiler Interface
        Institution  : Conroy & Conroy Co.
        Date Written : 20-Feb-2004
        Written By   : Alan Conroy
        Version      : 1.0

	    Copyright (C) 2004-2009 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *************************************************************

            DATE        BY          REASON                         

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This abstract class defines the interface passed to a compiler.
}

unit _CompInt ;

interface

{$I EDEFINES.INC}

uses { C&C Subroutine Library - layer 1... }
     _Files, { PsFile }
     _Loggers ; { TLogger }

type TSCompiler_Interface = object( TSLogger )
                                public { API... }
                                    function Get_File( Nam : string ) : PsFile ;
                                        virtual ;
                                    procedure Release_File( P : PSFile ) ;
                                        virtual ;
                            end ;
     PSCompiler_Interface = ^TSCompiler_Interface ;

{$IFDEF Delphi}
type TCOM_Compiler_Interface = class( TCOM_Logger )
                                public { API... }
                                    function Get_File( Nam : PChar ) : PsFile ;
                                        virtual ; stdcall ; abstract ;
                                    procedure Release_File( P : PSFile ) ;
                                        virtual ; stdcall ; abstract ;
                            end ;
{$ENDIF}

implementation

{ TSCompiler_Interface methods... }

{ API... }

function TSCompiler_Interface.Get_File( Nam : string ) : PSFile ;

begin
    Get_File := nil ;
end ;


procedure TSCompiler_Interface.Release_File( P : PSFile ) ;

begin
end ;


end.

